This page is for API, version 2026-01-01 (Stable) (default).
For other versions, use one of these documentation indexes:
- 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt
Added
- Organization Structure → Retrieve paginated list of organization structure team custom fields: New endpoint available that allows users to retrieve custom field values assigned to a specific team in the HRIS organization structure, including inherited values from parent teams.
- Organization Structure → Update organization structure team custom fields: New endpoint available that allows users to create, update, or remove custom field values for a specific team in the HRIS organization structure, with support for scheduling future-dated changes.
Changed
- Contracts: Create Contract → Updated endpoint
POST /rest/contracts to support both application/json and multipart/form-data content types. The multipart/form-data support enables file uploads for custom contract files (custom_contract_file) while maintaining backward compatibility with JSON payloads.